﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace TestFluidUI
{


    public class Model 
    {
        public string Name { get; set; }
        public string Speciality { get; set; }
        public string Address { get; set; }
    }


    class PatientsListVM : INotifyPropertyChanged
    {
        #region Constructor

        public PatientsListVM()
        {
                GetItmeSource();
        }

        private async void GetItmeSource()
        {
            this.GDCSource = await GetItmes();
            IsBusy = false;
        }


        private async Task<ObservableCollection<Model>> GetItmes()
        {
            IsBusy = true;
            var Specialists = new ObservableCollection<Model>();
            await Task.Delay(3000);
            Specialists.Add(new Model() { Name = "Maria", Speciality = "Endo", Address = "SanFranciso" });
            Specialists.Add(new Model() { Name = "Warren", Speciality = "Perino", Address = "SanFranciso" });
            Specialists.Add(new Model() { Name = "Noah", Speciality = "Endo", Address = "SanFranciso" });
            Specialists.Add(new Model() { Name = "Robert", Speciality = "Diet", Address = "SanFranciso" });
            
            return Specialists;
            
        }



        #endregion

        private ObservableCollection<Model> gdcsource;
        public ObservableCollection<Model> GDCSource
        {
            get
            {
                return gdcsource;
            }
            set
            {
                gdcsource = value;
                OnPropertyChanged("GDCSource");
            }
        }
        private bool isBusy;

        public bool IsBusy
        {
            get { return isBusy; }
            set { isBusy = value; OnPropertyChanged("IsBusy"); }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        private void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
        }

        #endregion
    }
}
